Bug 624207 - RFE - repeated need to enter password should be configurable
Summary: RFE - repeated need to enter password should be configurable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-14 12:39 UTC by Claude Jones
Modified: 2010-11-19 00:08 UTC (History)
1 user (show)

Fixed In Version: yumex-3.0.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-19 00:02:22 UTC
Type: ---


Attachments (Terms of Use)

Description Claude Jones 2010-08-14 12:39:13 UTC
Description of problem:
once a package is installed, or updates completed, there is an automatic dialog asking if I want to close Yumex, and if I don't, I am forced to enter the root password again - this didn't used to be, and I find the behaviour annoying as I often like to keep Yumex open while performing multiple operations

Version-Release number of selected component (if applicable):
2.9.9

How reproducible:
always

Steps to Reproduce:
1. install a package or install updates
2. Yumex asks if you'd like to close the program
3. answer no and you're prompted again for the root password
  
Actual results:
as described

Expected results:
once Yumex is opened, it should not require multiple entries of the root password, or, at the least, this behaviour should be configurable

Additional info:

Comment 1 Tim Lauridsen 2010-08-15 06:27:04 UTC
the default is that the root password is valid 30 min, so if the yumex backend is restarted in this periode of time, no new password dialog will appear.
It is controlled by the 'timestamp_timeout=1800'parameters in '/etc/pam.d/yumex-yum-backend'.
You can change it if you like (as root)

Comment 2 Claude Jones 2010-08-17 13:13:05 UTC
I checked those settings and they are as you say, but the behaviour on my system is not. Two examples: if I open Yumex and go into the repository view and enable an additional repo, I am immediately prompted for my password again; or, if I select all from the initial view upon starting Yumex, which displays all available updates, the updates will be downloaded and installed and then I get a prompt asking if I wish to close Yumex - if I answer no, I am immediately prompted for my password again.

Comment 3 Claude Jones 2010-08-18 11:54:30 UTC
(In reply to comment #1)
> the default is that the root password is valid 30 min, so if the yumex backend
> is restarted in this periode of time, no new password dialog will appear.
> It is controlled by the 'timestamp_timeout=1800'parameters in
> '/etc/pam.d/yumex-yum-backend'.
> You can change it if you like (as root)

I checked those settings and they are as you say, but the behaviour on my
system is not. Two examples: if I open Yumex and go into the repository view
and enable an additional repo, I am immediately prompted for my password again;
or, if I select all from the initial view upon starting Yumex, which displays
all available updates and then click apply, the updates will be downloaded and installed and then I get a prompt asking if I wish to close Yumex - if I answer no, I am immediately prompted for my password again.

Comment 4 Tim Lauridsen 2010-08-18 12:32:58 UTC
Strange, tested on a new installed F13 system and I get a password propmt every time the backend is restarted. Look like the password caching is not working anymore :(
I will look into what has changed.

Comment 5 Fedora Update System 2010-11-06 15:19:58 UTC
yumex-3.0.0-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/yumex-3.0.0-1.fc13

Comment 6 Fedora Update System 2010-11-06 15:20:10 UTC
yumex-3.0.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/yumex-3.0.0-1.fc14

Comment 7 Fedora Update System 2010-11-06 23:43:15 UTC
yumex-3.0.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yumex'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/yumex-3.0.0-1.fc14

Comment 8 Fedora Update System 2010-11-10 05:49:51 UTC
yumex-3.0.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/yumex-3.0.0-2.fc13

Comment 9 Fedora Update System 2010-11-10 05:50:06 UTC
yumex-3.0.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/yumex-3.0.0-2.fc14

Comment 10 Claude Jones 2010-11-10 17:01:26 UTC
(In reply to comment #7)
> yumex-3.0.0-1.fc14 has been pushed to the Fedora 14 testing repository.  If
> problems still persist, please make note of it in this bug report.
>  If you want to test the update, you can install it with 
>  su -c 'yum --enablerepo=updates-testing update yumex'.  You can provide
> feedback for this update here:
> https://admin.fedoraproject.org/updates/yumex-3.0.0-1.fc14

Thanks, Tim: This version seems to have cured the repetitious password requests in my preliminary tests.

Comment 11 Fedora Update System 2010-11-19 00:02:07 UTC
yumex-3.0.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-11-19 00:07:54 UTC
yumex-3.0.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.